

html {
    scroll-behavior: smooth;

    --default-theme-color: hsl(202, 100%, 24%);
    --default-theme-color: #002d70;
}

/* ----- chrome ------ */

::-webkit-scrollbar {
    width: 3px;
    height: 3px;
    position: absolute;
}
::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-thumb {
    box-shadow: inset 0 0 6px var(--default-theme-color) !important;
    border-radius: 1px;
    background: transparent !important;
}
::-webkit-scrollbar-thumb:hover {
    box-shadow: inset 0 0 6px var(--default-theme-color) !important;
    background: transparent !important;
}

@media (pointer: none), (pointer: coarse) {
    ::-webkit-scrollbar {
        width: 1px;
        height: 1px;
        position: absolute;
    }
    ::-webkit-scrollbar-thumb {
        box-shadow: inset 0 0 6px var(--default-theme-color) !important;
        border-radius: 1px;
        background: transparent !important;
    }
}

/* ----- firefox ------ */

* {
    scrollbar-width: thin;
    scrollbar-color: var(--default-theme-color) rgba(0, 0, 0, 0);
}
